%define anolis_release 3
%global pypi_name ruamel.yaml
%global pname ruamel-yaml
%global commit c887dfe19e2f01b770a2b4b04163a01e00a33f85
%global debug_package %{nil}

Name:           python-%{pname}
Version:        0.17.21
Release:        %{anolis_release}%{?dist}
Summary:        YAML 1.2 loader/dumper package for Python

License:        MIT
URL:            https://sourceforge.net/projects/ruamel-yaml
# Use bitbucket sources so we can run the tests
# https://sourceforge.net/code-snapshots/hg/r/ru/ruamel-yaml/code/ruamel-yaml-code-58889c2d944d5d0b22948a15d6fcb97c68d599de.zip
Source0:        https://sourceforge.net/code-snapshots/hg/r/ru/ruamel-yaml/code/%{pname}-code-%{commit}.zip

%description
ruamel.yaml is a YAML 1.2 loader/dumper package for Python.
It is a derivative of Kirill Simonov’s PyYAML 3.11

%package -n     python3-%{pname}
Summary:        YAML 1.2 loader/dumper package for Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# For tests
BuildRequires:  python3-pytest
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-ruamel-yaml-clib
Requires:       python3-setuptools

%description -n python3-%{pname}
ruamel.yaml is a YAML 1.2 loader/dumper package for Python.
It is a derivative of Kirill Simonov’s PyYAML 3.11

%package -n     python3-%{pname}-doc
Summary:        doc files for python3-%{pname}
Requires:       python3-%{pname} = %{version}-%{release}
BuildArch:      noarch

%description -n python3-%{pname}-doc
doc files for python3-%{pname}

%prep
%autosetup -n %{pname}-code-%{commit} -p1
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%check
%pytest _test/test_*.py

%files -n python3-%{pname}
%license LICENSE
%{python3_sitelib}/ruamel
%{python3_sitelib}/%{pypi_name}-%{version}-*.pth
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/

%files -n python3-%{pname}-doc
%doc README.rst

%changelog
* Mon Feb 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.17.21-3
- optimise dependency

* Fri Dec 16 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.17.21-2
- fix wrong requires of doc package

* Mon Jul 25 2022 happy_orange <songnannan@linux.alibaba.com> - 0.17.21-1
- Init pacakge from upstream
